Skip site navigation (1) Skip section navigation (2)

Re: RHEL4 RPM packages

From: John R Pierce <pierce(at)hogranch(dot)com>
To: Devrim GÜNDÜZ <devrim(at)CommandPrompt(dot)com>
Cc: pgsql-bugs(at)postgresql(dot)org
Subject: Re: RHEL4 RPM packages
Date: 2007-03-02 17:17:20
Message-ID: 45E85C20.4070105@hogranch.com (view raw or flat)
Thread:
Lists: pgsql-bugs
Devrim GÜNDÜZ wrote:
> Hi,
>
> On Thu, 2007-03-01 at 18:23 -0800, John R Pierce wrote:
>   
>> (or, there should be a compat-postgresql-libs-3 ?) 
>>     
>
> Hmm. 
>
> Ok, I'll upload compat-postgresql-libs-3 to our ftp server this weekend,
> to rhel-4 directories; so that people can find that package easily.
>
> Regards,
>   

hmmmm.

Preparing...                ########################################### 
[100%]
        package compat-postgresql-libs-4-2PGDG.rhel4 (which is newer 
than compat-postgresql-libs-3-3PGDG) is already installed


looks like the RPMs for libpq.so.4 and libpq.so.3 can't coexist.


# rpm -qil compat-postgresql-libs
Name        : compat-postgresql-libs       Relocations: (not relocatable)
Version     : 4                                 Vendor: (none)
Release     : 2PGDG.rhel4                   Build Date: Wed 06 Dec 2006 
05:05:19 AM PST
Install Date: Thu 01 Mar 2007 06:14:38 PM PST      Build Host: 
web.sanalotogar.com
Group       : Applications/Databases        Source RPM: 
compat-postgresql-libs-4-2PGDG.rhel4.src.rpm
Size        : 844192                           License: BSD
Signature   : (none)
URL         : http://www.postgresql.org/
Summary     : PostgreSQL client programs and libraries
Description :
This package provides compatibility libraries
for PostgreSQL >= 8.0.2 and PostgreSQL <=8.1.X
/usr/lib/libpq.so.4
/usr/lib/libpq.so.4.1

# rpm -qilp compat-postgresql-libs-3-3PGDG.i686.rpm
warning: compat-postgresql-libs-3-3PGDG.i686.rpm: V3 DSA signature: 
NOKEY, key ID 748f7d0e
Name        : compat-postgresql-libs       Relocations: (not relocatable)
Version     : 3                                 Vendor: (none)
Release     : 3PGDG                         Build Date: Tue 31 May 2005 
05:33:59 AM PDT
Install Date: (not installed)               Build Host: tdm.com.tr
Group       : Applications/Databases/Interfaces   Source RPM: 
compat-postgresql-libs-3-3PGDG.src.rpm
Size        : 1217072                          License: BSD
Signature   : DSA/SHA1, Tue 31 May 2005 05:40:12 AM PDT, Key ID 
b65f3a3f748f7d0e
Packager    : Devrim GUNDUZ <devrim(at)PostgreSQL(dot)org>
URL         : http://www.postgresql.org/
Summary     : PostgreSQL client programs and libraries.
Description :
This package provides compatibility libraries for PostgreSQL >= 8.0.2.
/usr/lib/libecpg.so.4
/usr/lib/libecpg.so.4.1
/usr/lib/libecpg_compat.so.1
/usr/lib/libecpg_compat.so.1.2
/usr/lib/libpgtypes.so.1
/usr/lib/libpgtypes.so.1.2
/usr/lib/libpq.so.3
/usr/lib/libpq.so.3.1


In response to

Responses

pgsql-bugs by date

Next:From: Ted PetroskyDate: 2007-03-02 22:36:41
Subject: BUG #3098: make check failed 33 times
Previous:From: John R PierceDate: 2007-03-02 17:10:01
Subject: Re: RHEL4 RPM packages

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group